function setDefaultSettings() {
	setEnableClockSetting(false);
	setTextDisplaySetting("Mouse Recorder Pro");
	var ProgramFiles = System.Environment.getEnvironmentVariable("ProgramFiles(x86)");
	setExePathSetting(ProgramFiles + "\\Nemex\\Mouse Recorder Pro 2\\Mouse Recorder Pro.exe");
	var DocPath = System.Environment.getEnvironmentVariable("USERPROFILE") + "\\Documents";
	setScriptDirSetting(DocPath + "\\My Recorded Scripts");
}

function enableClockSetting() {
	return System.Gadget.Settings.read("enableClock");
}

function textDisplaySetting() {
	return System.Gadget.Settings.read("textDisplay");
}

function exePathSetting() {
	return System.Gadget.Settings.read("executablePath");
}

function scriptDirSetting() {
	return System.Gadget.Settings.read("scriptDirPath");
}

function setEnableClockSetting(setting) {
	System.Gadget.Settings.write("enableClock", setting)
}

function setTextDisplaySetting(setting) {
	System.Gadget.Settings.write("textDisplay", setting);
}

function setExePathSetting(setting) {
	System.Gadget.Settings.write("executablePath", setting);
}

function setScriptDirSetting(setting) {
	System.Gadget.Settings.write("scriptDirPath", setting);
}