//Gadget window events
System.Gadget.onSettingsClosing = settingsClosing;

function settingsLoad() {
	getEnableClockBox().checked = enableClockSetting();
	getTextDisplayBox().value = textDisplaySetting();
	getExecutableBox().value = exePathSetting();
	getScriptDirBox().value = scriptDirSetting();
}

function settingsClosing(event) {
	if (event.closeAction == event.Action.commit)
	{
		var enableClock = getEnableClockBox().checked;
		var textDisplay = getTextDisplayBox().value;
		var executablePath = getExecutableBox().value;
		var scriptDir = getScriptDirBox().value;
		
		setEnableClockSetting(enableClock);
		setTextDisplaySetting(textDisplay);
		setExePathSetting(executablePath);
		setScriptDirSetting(scriptDir);
	}
	event.cancel = false;
}

function getEnableClockBox() {
	return document.getElementById("enableClock");
}

function getTextDisplayBox() {
	return document.getElementById("textDisplay");
}

function getExecutableBox() {
	return document.getElementById("exePath");
}

function getScriptDirBox() {
	return document.getElementById("scriptDir");
}

function BrowseExe()
{
	var shellFile = System.Shell.chooseFile(true, "Executable file:*.exe", exePathSetting(), "");
	if(shellFile) 
		getExecutableBox().value = shellFile.path;
}

function BrowseScriptDir()
{
	var shellDir = System.Shell.chooseFolder("Please choose your MRP script directory", 0);
	if (shellDir)
	  getScriptDirBox().value = shellDir.path;
}